Bug 55208 - linuxrc commands in wrong order mouting /proc
linuxrc commands in wrong order mouting /proc
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-10-27 02:56 EDT by Philip Pokorny
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-12-19 08:50:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
It seems I'm not the first one to notice, so FWIW, here is a patch. RH? AYT? (603 bytes, patch)
2001-12-19 08:50 EST, Miloslav Trmac
no flags Details | Diff

  None (edit)
Description Philip Pokorny 2001-10-27 02:56:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; SunOS 5.6 i86pc)

Description of problem:
When mkinitrd builds a ram-disk, the linuxrc script that is written has the
echo and mount commands for /proc backwards.  The mount command preceeds
the echo.  All other commands have the echo preceeding the actual command.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. mkinitrd --nocompress /tmp/foo.img 2.4.7---
2. mount -o loop /tmp/foo.img /mnt/floppy
3. cat /mnt/floppy/linuxrc

Actual Results:  mount /proc
echo Mounting /proc filesystem

Expected Results:  echo Mounting /proc filesystem
mount /proc

Additional info:
Comment 1 Miloslav Trmac 2001-12-19 08:50:51 EST
Created attachment 41027 [details]
It seems I'm not the first one to notice, so FWIW, here is a patch. RH? AYT?
Comment 2 Erik Troan 2002-01-11 11:19:35 EST
Fixed in CVS (mkinitrd 3.3 should show up in rawhide shortly).

Note You need to log in before you can comment on or make changes to this bug.